#!/usr/bin/env python

import torch.nn as nn


class Equal(nn.Module):
    """Symbolic module that compares if two given values are equal."""

    def __init__(self):
        super(Equal, self).__init__()

    def forward(self, x, y):
        return x == y


class GreaterThan(nn.Module):
    def __init__(self):
        super(GreaterThan, self).__init__()

    def forward(self, n1, n2):
        return n1 > n2


class LessThan(nn.Module):
    def __init__(self):
        super(LessThan, self).__init__()

    def forward(self, n1, n2):
        return n1 < n2
