#!/usr/bin/env python

import torch
import torch.nn as nn


class Context(nn.Module):
    """Context module for the MNIST dataset."""

    def __init__(self):
        super(Context, self).__init__()

    def forward(self, src):
        ones = torch.ones((1, 112, 112)).unsqueeze(0)
        attn = ones.repeat(len(src["image"]), 1, 1, 1)
        return attn
