#!/bin/bash

echo "Fetching CLEVR dataset..."
dest="data/clevr/"
zip="data/clevr/CLEVR_v1.0.zip"

brew install wget --quiet
mkdir -p "$dest"
wget -O "$zip" https://dl.fbaipublicfiles.com/clevr/CLEVR_v1.0.zip
unzip -d "$dest" "$zip" && f=("$dest"/*) && mv "$dest"/*/* "$dest" && rmdir "${f[@]}"
rm "$zip"



