#!/bin/bash

echo "Fetching MNIST images and dialogs from the original source..."

dest="data/mnist_dialog/"
zip="data/mnist_dialog/img.zip"

brew install wget --quiet
mkdir -p "$dest"
wget -O "$zip" http://cvlab.postech.ac.kr/research/attmem/data/imgs.zip
wget -O data/mnist_dialog/dataset.json http://cvlab.postech.ac.kr/research/attmem/data/dataset.json
unzip -q "$zip" -d "$dest"
mv data/mnist_dialog/imgs data/mnist_dialog/images/
rm "$zip"
mv data/mnist_dialog/images/valid data/mnist_dialog/images/val